package memory.modele;

import javax.xml.parsers.*; 
import org.w3c.dom.*; 
import org.xml.sax.*; 
import java.io.*; 

public class LectureXml{
	public int[][] tabNiveauxXml;
	public LectureXml(){
	}
		
	
	public void lireXml(){
	try{
		// cration d'une fabrique de documents
		DocumentBuilderFactory fabrique = DocumentBuilderFactory.newInstance();
		
		// cration d'un constructeur de documents
		DocumentBuilder constructeur = fabrique.newDocumentBuilder();
		
		// lecture du contenu d'un fichier XML avec DOM
		File xml = new File("xml/donnees_memory.xml");
		Document document = constructeur.parse(xml);
		
		Element racine = document.getDocumentElement();
		
		NodeList listeNiveaux = racine.getElementsByTagName("niveaux");
		int totalEnregistrement = listeNiveaux.getLength();
		tabNiveauxXml = new int[totalEnregistrement][2];
		/*System.out.println("Total no of people : " + totalPersons);
		*/
		for(int i=0; i<listeNiveaux.getLength() ; i++){

		    Node niveauNode = listeNiveaux.item(i);
		    
		    if(niveauNode.getNodeType() == Node.ELEMENT_NODE){

		        Element niveauElement = (Element)niveauNode;
		
		        // On recupere la difficult
		        NodeList niveauDifficulteList = niveauElement.getElementsByTagName("difficulte");
		        Element niveauDifficulte = (Element)niveauDifficulteList.item(0);
		
		        NodeList textFNList = niveauDifficulte.getChildNodes();
		        System.out.println("Difficulte : " + 
		               ((Node)textFNList.item(0)).getNodeValue().trim());
		        tabNiveauxXml[i][0] = Integer.parseInt(((Node)textFNList.item(0)).getNodeValue().trim());
		        // On recupere le niveau atteint
		        NodeList numNiveauList = niveauElement.getElementsByTagName("numniveau");
		       
		        Element numNiveauElement = (Element)numNiveauList.item(0);
		
		        NodeList textLNList = numNiveauElement.getChildNodes();
		        System.out.println("Numero Niveau : " + 
		               ((Node)textLNList.item(0)).getNodeValue().trim());
		        tabNiveauxXml[i][1] = Integer.parseInt(((Node)textLNList.item(0)).getNodeValue().trim());
		
		        //------
		
		
		    }//end of if clause
		
		
		}//end of for loop with s var
		
		System.out.print("rrrrrrrrr");
		//traitement du document
		//voir ExempleDOM.zip
		
		}catch(ParserConfigurationException pce){
			System.out.println("Erreur de configuration du parseur DOM");
			System.out.println("lors de l'appel  fabrique.newDocumentBuilder();");
		}catch(SAXException se){
			System.out.println("Erreur lors du parsing du document");
			System.out.println("lors de l'appel  construteur.parse(xml)");
		}catch(IOException ioe){
			System.out.println("Erreur d'entre/sortie");
			System.out.println("lors de l'appel  construteur.parse(xml)");
		}
	}
}