package memory.modele;


public class NiveauDifficile implements INiveau {
	
	private int[][] tabNiveauDifficile;
	
	public NiveauDifficile(){
		definirTailleNiveau();
	}
	
	public void definirTailleNiveau() {
		// On definit les tailles des niveaux pour la difficult tres facile
		// Le tableau  5 lignes (pour les 5 stages ou niveau) et deux colonnes
		// pour le nombre de lignes et de colonnes
		tabNiveauDifficile = new int[5][2];
		// Niveau 1 4x4
		tabNiveauDifficile[0][0] = 4;
		tabNiveauDifficile[0][1] = 4;

		// Niveau 2 4x4
		tabNiveauDifficile[1][0] = 4;
		tabNiveauDifficile[1][1] = 4;
		
		// Niveau 3 4x5
		tabNiveauDifficile[2][0] = 4;
		tabNiveauDifficile[2][1] = 5;

		
		// Niveau 4 4x5
		tabNiveauDifficile[3][0] = 4;
		tabNiveauDifficile[3][1] = 5;
		
		// Niveau 5 4x5
		tabNiveauDifficile[4][0] = 4;
		tabNiveauDifficile[4][1] = 5;

	}
	// Mthode permettant de retourner le nombre de lignes  partir du niveau
	public int retournerNbLignesNiveau(int varNumNiveau){

		try{
			// On soustrait un car le tableau commence  0
			return tabNiveauDifficile[varNumNiveau-1][0]; 
		}
		catch(ArrayIndexOutOfBoundsException ae)
		{
			System.out.println("Ce niveau n'existe pas : " + (varNumNiveau-1));
			return 0;
		}
	}
	// Mthode permettant de retourner le nombre de colonnes  partir du niveau
	public int retournerNbColonnesNiveau(int varNumNiveau){
		try{
			// On soustrait un car le tableau commence  0
			return tabNiveauDifficile[varNumNiveau-1][1]; 
		}
		catch(ArrayIndexOutOfBoundsException ae)
		{
			System.out.println("Ce niveau n'existe pas");
			return 0;
		}
	}	

}
