package memory.vue;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;

import memory.controleur.Controleur;
import memory.controleur.ControleurNouvellePartie;
import memory.modele.MemoryModele;

public class RefaireNiveauAction extends AbstractAction {
	private FenetrePrincipale fenetre;
	//private JLabel label;
	public RefaireNiveauAction(FenetrePrincipale fenetre, String texte){
		super(texte);

		this.fenetre = fenetre;
	}
	public void actionPerformed(ActionEvent e) {
		//fenetre.remove(fenetre.JDesktopPane1);
		fenetre.JDesktopPane1.remove(0);
		fenetre.JDesktopPane1.repaint();
		int difficulte = MemoryModele.monPlateauModele.retournerDifficulte();
		int niveau = MemoryModele.monPlateauModele.retournerNiveau();
		Controleur.monControleurNouvellePartie =  new ControleurNouvellePartie(fenetre, difficulte, niveau, MemoryModele.monPlateauModele.retournerModeJeu());
		System.out.println("refaire!!!");
	}
}
