package memory.controleur;

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

import javax.swing.ImageIcon;
import javax.swing.JLabel;

import memory.modele.CarteModele;
import memory.modele.MemoryModele;

public class ControleurPartie {
	private JLabel jlabelCarte1;
	private JLabel jlabelCarte2;
	public int nbCartesRetournees = 0;
	// testCartes : forment une paire => 2, sinon 1
	public int testCartes = 0;
	int positionCarte = -1;
	public int finPartie = 0;
	private int compteurCartes = 0;
	public int[][] positionCartes;
	public List  listCarteFace;
	int joueurEnCours;
	int scoreOrdinateur;
	int scoreJoueur;
	
	public ControleurPartie(int nbCases){
		definirPositionCartes(nbCases);
	}

	public void creerCarteModele(int positionCarte, int numCarte){
		
		CarteModele carte = new CarteModele(positionCarte, numCarte);
	}
	
	public int retournerNumCarte(int positionCarte){
		//MemoryModele.monPlateauModele.retournerNumCarte(positionCarte);
		int numCarte = 88;
		return MemoryModele.monPlateauModele.retournerNumCarte(positionCarte);
	}
	
	public void retournerCarte(int positionCarte, JLabel sourceJLabel){
		if (MemoryModele.monPlateauModele.retournerTentatives()==0) {
			System.out.println("PERDUE !!!!!!!!!!!!");
			testCartes = 0;
			finPartie = 1;
			ControleurFenetre.maFenetreJeu.jpanPerdu.setVisible(true);
			/*testCartes = 0;
			finPartie = 1;
			ControleurFenetre.maFenetreJeu.jpanPerdu.setVisible(true);*/
		} else {
			if (this.positionCarte == positionCarte){
				
			} else {
				this.positionCarte = positionCarte;
				nbCartesRetournees = nbCartesRetournees +1;
				if(nbCartesRetournees==1){
					this.jlabelCarte1=sourceJLabel;
				} else {
					this.jlabelCarte2=sourceJLabel;
				}
				MemoryModele.monPlateauModele.retournerCarte(positionCarte);
			}
		}
	}
	
	public void cacherCartes(){
		nbCartesRetournees = 0;
		this.positionCarte = -1;
		/*
		try { 
		Thread.sleep(1000);
		} catch (InterruptedException e1) {
		e1.printStackTrace();
		} 
		 */
		// ATTENTION REGROUPER LES MEDIA DANS UNE CLASSE STATIC
		ImageIcon imageCarteDos = new ImageIcon("media/cartedos1.png");
		jlabelCarte1.setIcon(imageCarteDos);
		jlabelCarte2.setIcon(imageCarteDos);
		//ControleurFenetre.maFenetreJeu.jifJeu.get
		
	}
	
	public void testerCartes() {
		switch (testCartes) {
			case 1 :
				System.out.println("on retourne les cartes");
				
				MemoryModele.monPlateauModele.changerDeMain(MemoryModele.monPlateauModele.retournerModeJeu());
				cacherCartes();
								
				joueurEnCours = MemoryModele.monPlateauModele.retournerJoueurEnCours();
				if (MemoryModele.monPlateauModele.retournerModeJeu()==2 && joueurEnCours==3){
					System.out.println("ordi..............................");
					MemoryModele.Ordinateur1.choisirCartes();
				}
				testCartes = 0;
				
			break;
			case 2 :
				System.out.println("on prends les cartes");
				prendreCartes();
				joueurEnCours = MemoryModele.monPlateauModele.retournerJoueurEnCours();
				if (MemoryModele.monPlateauModele.retournerModeJeu()==2 && joueurEnCours==3){
					System.out.println("ordi..............................");
					MemoryModele.Ordinateur1.choisirCartes();
				}
				testCartes = 0;
			break;
			case 3 :
				System.out.println("FIN FIN FIN FIN FIN FIN FIN ");
				prendreCartes();
				testCartes = 0;
				finPartie = 1;
				// Si on est dans le mode contre l'ordinateur
				if (MemoryModele.monPlateauModele.retournerModeJeu()==2){
					ControleurFenetre.threadOrdinateur1.finPartie = 0;
					scoreOrdinateur = MemoryModele.Ordinateur1.retournernbPairesReussies();
					scoreJoueur = MemoryModele.Joueur1.retournernbPairesReussies();
					
					if (scoreJoueur>scoreOrdinateur){
						int scoreTententative =  MemoryModele.monPlateauModele.retournerScore();
						scoreJoueur =  scoreJoueur*scoreTententative;
						ControleurFenetre.maFenetreJeu.jlabelScore.setText("Score : "+scoreJoueur);
						// Score de l'ordinateur
						scoreOrdinateur = scoreOrdinateur*scoreTententative;
						ControleurFenetre.maFenetreJeu.jlabelScoreOrdinateur.setText("Ordinateur : "+scoreOrdinateur);
						ControleurFenetre.maFenetreJeu.jlabelScoreOrdinateur.setVisible(true);
						// On affiche le panel Gagn
						ControleurFenetre.maFenetreJeu.jpanGagne.setVisible(true);
						// On sauvegarde le niveau
						Controleur.monControleurXML.ecrireXml(MemoryModele.monPlateauModele.retournerDifficulte(), MemoryModele.monPlateauModele.retournerNiveau() + 1);							
						
					} else {
						ControleurFenetre.maFenetreJeu.jpanPerdu.setVisible(true);
					}
					// on libre le thread
					ControleurFenetre.threadOrdinateur1 = null;
				} else {
					
					int score =  MemoryModele.monPlateauModele.retournerScore();
					ControleurFenetre.maFenetreJeu.jlabelScore.setText("Score : "+score);
					ControleurFenetre.maFenetreJeu.jpanGagne.setVisible(true);
					// On sauvegarde le niveau
					Controleur.monControleurXML.ecrireXml(MemoryModele.monPlateauModele.retournerDifficulte(), MemoryModele.monPlateauModele.retournerNiveau() + 1);
				}
			break;
			case 4 :
				System.out.println("PERDUE !!!!!!!!!!!!");
				testCartes = 0;
				finPartie = 1;
				// on libre le thread
				ControleurFenetre.threadOrdinateur1 = null;
				ControleurFenetre.maFenetreJeu.jpanPerdu.setVisible(true);
				
			break;
		}
		diminuerTentatives();
	}
	public void prendreCartes() {
		this.positionCarte = -1;
		System.out.println("test!! PARTIE");
		nbCartesRetournees = 0;
		// ATTENTION REGROUPER LES MEDIA DANS UNE CLASSE STATIC
		//ImageIcon imageCarteDos = new ImageIcon("media/cartedos1.png");
		jlabelCarte1.setVisible(false);
		jlabelCarte2.setVisible(false);
		//ControleurFenetre.maFenetreJeu.jifJe
	}
	void diminuerTentatives(){
		ControleurFenetre.maFenetreJeu.jlabelTentatives.setText("Tentatives restantes : " + MemoryModele.monPlateauModele.retournerTentatives());
	}
	public int retournerModeJeu() {
		return MemoryModele.monPlateauModele.retournerModeJeu();
	}
	public int retournerJoueurEnCours() {
		return MemoryModele.monPlateauModele.retournerJoueurEnCours();
	}
	/**
	 * Definit le tableau qui va contenir la position des cartes 
	 * @param nbCases   nombre de cases du plateau
	 */
	void definirPositionCartes (int nbCases) {
		positionCartes = new int[nbCases][2];
		listCarteFace = new ArrayList();
		//Controleur.monControleurPartie.positionCartes = new int[nbCases][2];
	}
	/**
	 * Stock les coordonnes de la carte 
	 * @param nbCases   numero de la carte
	 * @param ligne   ligne de la carte
	 * @param colonne   colonne de la carte
	 */
	public void stockerPositionCarte (int ligne, int colonne, ImageIcon imageCarteFace) {
		positionCartes[compteurCartes][0] = ligne;
		positionCartes[compteurCartes][1] = colonne;
		
		listCarteFace.add(imageCarteFace);
			
		System.out.println("CARTE " +compteurCartes+ " ligne :" + positionCartes[compteurCartes][0]);
		System.out.println("CARTE " +compteurCartes+ " colonne :" + positionCartes[compteurCartes][1]);
		
		compteurCartes = compteurCartes +1;
		
	}
	public Point retournerPositionCarte(int numCarte) {
		Point coordonnes = new Point();
		coordonnes.x = positionCartes[numCarte][0];
		coordonnes.y = positionCartes[numCarte][1];
		return coordonnes;
	}
	/*
	public jouerOrdinateur() {
		ThreadOrdinateur threadOrdinateur1 = new ThreadOrdinateur();

		threadOrdinateur1.run();
		try {
			   Thread.sleep(4000);
			  } catch (InterruptedException e) {
			   // TODO Auto-generated catch block
			   e.printStackTrace();
		  } 	
		
		
	}
	*/
	/*
	ThreadOrdinateur threadOrdinateur1 = new ThreadOrdinateur();

	threadOrdinateur1.run();
	try {
		   Thread.sleep(4000);
		  } catch (InterruptedException e) {
		   // TODO Auto-generated catch block
		   e.printStackTrace();
	  } 	
	*/
}
