package memory.vue;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import memory.controleur.Controleur;

public class QuitterAction  extends AbstractAction {
	private FenetrePrincipale fenetre;
	private JLabel label;
	public QuitterAction(FenetrePrincipale fenetre, String texte){
		super(texte);

		this.fenetre = fenetre;
	}
	public void actionPerformed(ActionEvent e) {
		
		
	    //Permet de verifier si une fenetre est deja ouverte
	    int nombreFrames = Controleur.monControleurFenetre.retourerNbFenetre();
		System.out.println(nombreFrames);
		if (nombreFrames>=1) {
			int reponse = JOptionPane.showConfirmDialog(null, "Voulez-vous quitter cette partie?", "Une partie est en cours.", JOptionPane.YES_NO_OPTION);
			
			if(reponse==0){
				Controleur.monControleurFenetre.fermerFenetre();
				System.exit(0);
			}
			
		} else {
			Controleur.monControleurFenetre.fermerFenetre();
			System.exit(0);
			

		}

	}
}